## org.apache.xerces.validators.common
Class CMLeaf

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.CMNode
            |
            +--org.apache.xerces.validators.common.CMLeaf

public class CMLeaf
extends CMNode

Content model leaf node.

Version:
  $Id: CMLeaf.java,v 1.2 2000/05/17 18:33:00 jeffreyr Exp $

Constructor Summary
`CMLeaf(QName element)` Constructs a content model leaf.
`CMLeaf(QName element, int position)` Constructs a content model leaf.

Method Summary
`protected void` `calcFirstPos(org.apache.xerces.validators.common.CMStateSet toSet)`
`protected void` `calcLastPos(org.apache.xerces.validators.common.CMStateSet toSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMLeaf

    public CMLeaf(QName element,
                  int position)
           throws CMException

  Constructs a content model leaf.

### CMLeaf

    public CMLeaf(QName element)
           throws CMException

  Constructs a content model leaf.

Method Detail

### calcFirstPos

    protected void calcFirstPos(org.apache.xerces.validators.common.CMStateSet toSet)
                         throws CMException

  Overrides:
    calcFirstPos in class CMNode

### calcLastPos

    protected void calcLastPos(org.apache.xerces.validators.common.CMStateSet toSet)
                        throws CMException

  Overrides:
    calcLastPos in class CMNode

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.